Subject: Re: [PATCH] ASoC: fsl_asrc: Add reg_defaults for regmap to fix kernel dump

From: Nicolin Chen <[email-masked]>
Date: Tue, 28 Oct 2014 09:37:34 -0700

On Tue, Oct 28, 2014 at 10:47:42AM +0000, Mark Brown wrote:
> On Mon, Oct 27, 2014 at 09:26:26PM -0700, Nicolin Chen wrote:
> > On Tue, Oct 28, 2014 at 12:19:04AM +0000, Mark Brown wrote:
> 
> > > It's not a bug, it's not reasonable to default allocations to atomic and
> > > we can't really tell what context we're in.  Anything used inside a
> > > heavily locked path should either have a default provided or arrange for
> > > a prior write to set up the cache.
> 
> > I've a little trouble to understand the prior write over here. Inside my
> > probe() there's a register_init() call which has a set of regmap_write().
> > And then the first regmap_write() results the dump. Does that mean this
> > regmap_write() isn't prior write? If so, how should I do if not setting
> 
> Oh, bother.  We fixed things so that we're now always running with the
> spinlock held...  never mind.

Okay...so only one choice left.

> > default values here -- Some IPs may have default value 0 for registers.
> > And this would make reg_defaults tedious since there's nothing special
> > to assign.
> 
> Write a small script then, or a little bit of code to create the
> defaults dynamically.

It actually doesn't bother me at all. I just thought there might be
a simpler way. :)

Thank you
Nicolin